<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: Tools</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: Tools</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>Tools<span class="signature">()</span><span class="type-signature"></span></h2>
        
            <div class="class-description"><p>Based on plugins collection. Connects to server plugin functions and allows to add, remove etc. plugins.</p></div>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    
    <h2>Constructor</h2>
    

    
    <h4 class="name" id="Tools"><span class="type-signature"></span>new Tools<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="editor_collections.js.html">editor/collections.js</a>, <a href="editor_collections.js.html#line601">line 601</a>
    </li></ul></dd>
    

    

    

    
</dl>


















    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="init"><span class="type-signature"></span>init<span class="signature">()</span><span class="type-signature"> &rarr; {Promise}</span></h4>
    

    



<div class="description">
    <p>pull all tools and their schemes from server</p>
<p>if tool has items, add collection to navbar</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="editor_collections.js.html">editor/collections.js</a>, <a href="editor_collections.js.html#line668">line 668</a>
    </li></ul></dd>
    

    

    

    
</dl>













<h5>Returns:</h5>

        
<div class="param-desc">
    <p>&quot;done&quot; when done</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Promise</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="openDocument"><span class="type-signature"></span>openDocument<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>open tool settings without delete or save_as option</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="editor_collections.js.html">editor/collections.js</a>, <a href="editor_collections.js.html#line706">line 706</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="removeDocument"><span class="type-signature"></span>removeDocument<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>when removing a tool, check for collections the tool inherits and remove them as well</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="editor_collections.js.html">editor/collections.js</a>, <a href="editor_collections.js.html#line731">line 731</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="Collection.html">Collection</a></li><li><a href="Control.html">Control</a></li><li><a href="Editor.html">Editor</a></li><li><a href="FileMenu.html">FileMenu</a></li><li><a href="Form.html">Form</a></li><li><a href="Level.html">Level</a></li><li><a href="Overview.html">Overview</a></li><li><a href="Routing.html">Routing</a></li><li><a href="SessionControl.html">SessionControl</a></li><li><a href="Sessions.html">Sessions</a></li><li><a href="Tools.html">Tools</a></li></ul><h3>Namespaces</h3><ul><li><a href="socket.html">socket</a></li></ul><h3>Global</h3><ul><li><a href="global.html#addGame">addGame</a></li><li><a href="global.html#confirmation">confirmation</a></li><li><a href="global.html#control">control</a></li><li><a href="global.html#createGame">createGame</a></li><li><a href="global.html#CueBar">CueBar</a></li><li><a href="global.html#CueButton">CueButton</a></li><li><a href="global.html#editor">editor</a></li><li><a href="global.html#form">form</a></li><li><a href="global.html#generateUUID">generateUUID</a></li><li><a href="global.html#inputPrompt">inputPrompt</a></li><li><a href="global.html#namespace">namespace</a></li><li><a href="global.html#removeGame">removeGame</a></li><li><a href="global.html#routing">routing</a></li><li><a href="global.html#showSessions">showSessions</a></li><li><a href="global.html#TabButton">TabButton</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a> on Tue Dec 17 2019 13:34:00 GMT+0100 (CET)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>